Archive puppet-manifests and opsi-package-sources repositories

RESOLVED FIXED

Status

Developer Services
General
RESOLVED FIXED
4 years ago
3 years ago

People

(Reporter: mrrrgn, Unassigned)

Tracking

Details

(Reporter)

Description

4 years ago
opsi-package-sources and puppet-manifests are both deprecated repositories and should probably not live alongside live code bases. Instead they should go into an archive with any other historical artifacts of ancient RelEng.
Awesome, totally agree.

@Dustin, do we have a place for such things?

Pete
Flags: needinfo?(dustin)
I totally agree too!  But I don't know where to put them.  I think the dev services team would be the best place to ask.  I can imagine concerns over changing URLs (since these are repositories of record), at least.  Maybe we just change the description?
Component: Other → General
Flags: needinfo?(dustin)
Product: Release Engineering → Developer Services
QA Contact: pmoore
Fubar, do you think there is merit in creating something like:

http://hg.mozilla.org/retired-projects
http://hg.mozilla.org/graveyard
http://hg.mozilla.org/dead-projects
http://hg.mozilla.org/deprecated-projects

where we can place retired projects that are no longer used?

How do other people feel about this?

Pete
Flags: needinfo?(klibby)
(In reply to Dustin J. Mitchell [:dustin] from comment #2)
> I totally agree too!  But I don't know where to put them.  I think the dev
> services team would be the best place to ask.  I can imagine concerns over
> changing URLs (since these are repositories of record), at least.  Maybe we
> just change the description?

What I like about moving them elsewhere is it reduces clutter - so you only see projects there that are really active, rather than needing to read the descriptions. An advantage of course is it is easier to find if you are specifically looking for it, rather than needing to know where stuff is archived, if we go that route. Overall though I think that will be relatively infrequent though, compared to the gain of having the clarity of only seeing the active repos when you browse the repos. This is all highly subjective though! :)

Comment 5

4 years ago
Downside of moving is that is breaks old URLs (unless you configure some redirects).

One alternative would be the ability to mark repositories as inactive. We could install a hook to prevent pushes and/or change the web UI to emphasis this. We could gray out repository names in the repo list view. We could add a banner on repos that have been marked as obsolete.
I think gps' ideas are probably easiest/best. I don't like clutter either but changing the URL is bad way to go about it, IMO.
Flags: needinfo?(klibby)
Sounds good to me! A great solution. Thanks guys! Let's go with this this.
Callek has done some work on this:

http://hg.mozilla.org/build/opsi-package-sources/file/tip
http://hg.mozilla.org/build/puppet-manifests/file/tip

Is everyone happy with this solution?

Morgan, are you happy for this bug to be closed?

Pete

===============================



On 25 Nov 2014, at 09:12, Justin Wood <jwood@mozilla.com> wrote:

Chris, Ben:

Can you both agree, at the least:
* The goal is to reduce confusion for new humans
* My effort is an improvement over the current state, and would not be required if we ended up moving the repos.

If that's true for you as well, I don't see your comments as blocking my current plan.

~Justin Wood (Callek)

----- Original Message -----
From: "Chris AtLee" <catlee@mozilla.com>
To: "Hal Wine" <hwine@mozilla.com>
Cc: "Ben Hearsum" <bhearsum@mozilla.com>, "Justin Wood" <jwood@mozilla.com>, release@mozilla.com
Sent: Tuesday, November 25, 2014 12:02:45 PM
Subject: Re: Obsolete Releng Repos

One main argument for {re,}moving the repositories is it reduces
confusion for new contributors.

Breaking references to e.g. opsi-package-sources is perfectly acceptable
to me.

On 08:25, Tue, 25 Nov, Hal Wine wrote:
Several points:
- not breaking BMO history is a "good thing"
- this is a company wide issue, one the entire project would benefit
from a
- the mechanism for deprecating repos belongs to dev services, imo
(impact on disk, url rewrite obligations, connections to indexing
services etc.)

RelEng certainly owns the content of those repos, so Callek's approach
works.

Rough, probably bad, analogy. If releng has a product, then those old
repos are old versions of the product. Mozilla (Firefox) keeps old
source code live for reference (e.g
release/mozilla-{1.9.1,1.9.2,2.0,2.1}...) I'm not sure of all the
business reasons for keeping those live, but I know it is an active
choice by the project.

On 2014-11-25 08:11 , Ben Hearsum wrote:
Why do we want dead repos to be indexed? Doesn't that just add to
confusion?

On Tue, Nov 25, 2014 at 08:04:25AM -0800, Justin Wood wrote:
My suggestion at least avoids the broken url's in bugs and other formats
(e.g. will moving them break mxr because the url no longer exists?)

----- Original Message -----
From: "Chris AtLee" <catlee@mozilla.com>
To: "Justin Wood" <jwood@mozilla.com>
Cc: release@mozilla.com
Sent: Tuesday, November 25, 2014 10:56:58 AM
Subject: Re: Obsolete Releng Repos

This came up in IRC the other day, and there was some mention of moving
these out of hg.m.o/build to somewhere else to indicate they're no
longer used. I propose hg.m.o/build/Attic ;)

On 21:22, Mon, 24 Nov, Justin Wood wrote:
Hey Everyone,

I note that we (usually newer people, sometimes myself when searching)
have
repos that are just flat out no longer users. [examples:
puppet-manifests,
opsi-package-sources, rpm-sources]

Unless someone has any objections to a flat-out BLANKING (with a brief
OBSOLETE.txt file saying so/why/etc) to those repos, I'm just going to
do
it.

I plan to write the patch while on my flight to portland, and land after
I
arrive at hotel.

Feel free to private message me any other releng-controlled repos that
are
obsolete that are not listed above, and I'll add them.

--
~Justin Wood (Callek)
Flags: needinfo?(winter2718)
(Reporter)

Comment 9

3 years ago
This is better than  nothing. Okay by me.

(In reply to Pete Moore [:pete][:pmoore] from comment #8)
> Callek has done some work on this:
> 
> http://hg.mozilla.org/build/opsi-package-sources/file/tip
> http://hg.mozilla.org/build/puppet-manifests/file/tip
> 
> Is everyone happy with this solution?
> 
> Morgan, are you happy for this bug to be closed?
> 
> Pete
> 
> ===============================
> 
> 
> 
> On 25 Nov 2014, at 09:12, Justin Wood <jwood@mozilla.com> wrote:
> 
> Chris, Ben:
> 
> Can you both agree, at the least:
> * The goal is to reduce confusion for new humans
> * My effort is an improvement over the current state, and would not be
> required if we ended up moving the repos.
> 
> If that's true for you as well, I don't see your comments as blocking my
> current plan.
> 
> ~Justin Wood (Callek)
> 
> ----- Original Message -----
> From: "Chris AtLee" <catlee@mozilla.com>
> To: "Hal Wine" <hwine@mozilla.com>
> Cc: "Ben Hearsum" <bhearsum@mozilla.com>, "Justin Wood" <jwood@mozilla.com>,
> release@mozilla.com
> Sent: Tuesday, November 25, 2014 12:02:45 PM
> Subject: Re: Obsolete Releng Repos
> 
> One main argument for {re,}moving the repositories is it reduces
> confusion for new contributors.
> 
> Breaking references to e.g. opsi-package-sources is perfectly acceptable
> to me.
> 
> On 08:25, Tue, 25 Nov, Hal Wine wrote:
> Several points:
> - not breaking BMO history is a "good thing"
> - this is a company wide issue, one the entire project would benefit
> from a
> - the mechanism for deprecating repos belongs to dev services, imo
> (impact on disk, url rewrite obligations, connections to indexing
> services etc.)
> 
> RelEng certainly owns the content of those repos, so Callek's approach
> works.
> 
> Rough, probably bad, analogy. If releng has a product, then those old
> repos are old versions of the product. Mozilla (Firefox) keeps old
> source code live for reference (e.g
> release/mozilla-{1.9.1,1.9.2,2.0,2.1}...) I'm not sure of all the
> business reasons for keeping those live, but I know it is an active
> choice by the project.
> 
> On 2014-11-25 08:11 , Ben Hearsum wrote:
> Why do we want dead repos to be indexed? Doesn't that just add to
> confusion?
> 
> On Tue, Nov 25, 2014 at 08:04:25AM -0800, Justin Wood wrote:
> My suggestion at least avoids the broken url's in bugs and other formats
> (e.g. will moving them break mxr because the url no longer exists?)
> 
> ----- Original Message -----
> From: "Chris AtLee" <catlee@mozilla.com>
> To: "Justin Wood" <jwood@mozilla.com>
> Cc: release@mozilla.com
> Sent: Tuesday, November 25, 2014 10:56:58 AM
> Subject: Re: Obsolete Releng Repos
> 
> This came up in IRC the other day, and there was some mention of moving
> these out of hg.m.o/build to somewhere else to indicate they're no
> longer used. I propose hg.m.o/build/Attic ;)
> 
> On 21:22, Mon, 24 Nov, Justin Wood wrote:
> Hey Everyone,
> 
> I note that we (usually newer people, sometimes myself when searching)
> have
> repos that are just flat out no longer users. [examples:
> puppet-manifests,
> opsi-package-sources, rpm-sources]
> 
> Unless someone has any objections to a flat-out BLANKING (with a brief
> OBSOLETE.txt file saying so/why/etc) to those repos, I'm just going to
> do
> it.
> 
> I plan to write the patch while on my flight to portland, and land after
> I
> arrive at hotel.
> 
> Feel free to private message me any other releng-controlled repos that
> are
> obsolete that are not listed above, and I'll add them.
> 
> --
> ~Justin Wood (Callek)
Flags: needinfo?(winter2718)
Status: NEW → RESOLVED
Last Resolved: 3 years ago
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.